<?php
/**
 * Shopping Kart WP manage the Customizer sections.
 *
 * @subpackage shopping-kart-wp
 * @since 1.0 
 */

/**
 * Top Header Options
 */
Kirki::add_section( 'shopping_kart_wp_top_header_section_content', array(
	'title'    => __( 'Top Header Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Personalize the settings top header.', 'shopping-kart-wp' ),
	'priority' => 5,
) );

/**
 * General Options
 */
Kirki::add_section( 'shopping_kart_wp_general_section_content', array(
	'title'    => __( 'General Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Personalize the settings of your theme.', 'shopping-kart-wp' ),
	'priority' => 8,
) );

/**
 * Layout Options
 */
Kirki::add_section( 'shopping_kart_wp_layout_section_content', array(
	'title'    => __( 'Layout Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Personalize the layout settings of your theme.', 'shopping-kart-wp' ),
	'priority' => 10,
) );

/**
 * Blog Post Options
 */
Kirki::add_section( 'shopping_kart_wp_blog_post_section_content', array(
	'title'    => __( 'Blog Post Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Setting will also apply on archieve and search page.', 'shopping-kart-wp' ),
	'priority' => 12,
) );

/**
 * Single Post Options
 */
Kirki::add_section( 'shopping_kart_wp_single_post_section_content', array(
	'title'    => __( 'Single Post Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Setting will apply on the content of single posts.', 'shopping-kart-wp' ),
	'priority' => 14,
) );

/**
 * Footer Options
 */
Kirki::add_section( 'shopping_kart_wp_footer_section_content', array(
	'title'    => __( 'Footer Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Personalize the footer settings of your theme.', 'shopping-kart-wp' ),
	'priority' => 16,
) );

/**
 * Advance Options
 */
Kirki::add_section( 'shopping_kart_wp_advance_option_content', array(
	'title'    => __( 'Advance Options', 'shopping-kart-wp' ),
	'panel'    => 'shopping_kart_wp_options_panel',
	'description' => __( 'Personalize the Advance settings of your theme.', 'shopping-kart-wp' ),
	'priority' => 18,
) );