<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
/**
 * This file stores all functions that return default content.
 *
 * @package  Shopping Kart WP
 */
/**
 * Class Shopping_Kart_wp_Defaults_Models
 *
 * @package  Shopping Kart WP
 */
class Shopping_Kart_WP_Defaults_Models extends Shopping_Kart_wp_Singleton{
/**
	 * Get default values for features section.
	 *
	 * @since 1.0.0
	 * @access public
	 */
	
	/**
	 * Get default values for features section.

	 * @access public
	 */
	public function get_feature_default() {
		return apply_filters(
			'shopping_kart_wp_highlight_default_content', json_encode(
				array(
					array(
						'icon_value' => 'fa-shopping-bag',
						'title'      => esc_html__( 'Free Shipping Worldwide', 'shopping-kart-wp' ),
						'subtitle'   => esc_html__( 'Lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod.', 'shopping-kart-wp' ),	
					),
					array(
						'icon_value' => 'fa-money',
						'title'      => esc_html__( 'Money Back Guarantee', 'shopping-kart-wp' ),
						'subtitle'   => esc_html__( 'Lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod.', 'shopping-kart-wp' ),
					),
					array(
						'icon_value' => 'fa-user-plus',
						'title'      => esc_html__( '24/7 Customer Service', 'shopping-kart-wp' ),
						'subtitle'   => esc_html__( 'Lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod.', 'shopping-kart-wp' ),
					),
					array(
						'icon_value' => 'fa-dollar',
						'title'      => esc_html__( '100% Secure Payments', 'shopping-kart-wp' ),
						'subtitle'   => esc_html__( 'Lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmod.', 'shopping-kart-wp' ),
					),
				)
			)
		);
	}	
	
}