<?php
/**
 * Shopping Kart WP manage the Customizer options of general panel.
 *
 * @subpackage shopping-kart-wp
 * @since 1.0 
 */
Kirki::add_field(
	'shopping_kart_wp_config', array(
		'type'        => 'checkbox',
		'settings'    => 'shopping_kart_wp_home_posts',
		'label'       => esc_attr__( 'Checked to hide latest posts in homepage.', 'shopping-kart-wp' ),
		'section'     => 'static_front_page',
		'default'     => true,
	)
);

// Color Picker field for Primary Color
Kirki::add_field( 
	'shopping_kart_wp_config', array(
		'type'        => 'color',
		'settings'    => 'shopping_kart_wp_theme_color',
		'label'       => esc_html__( 'Primary Color', 'shopping-kart-wp' ),
		'section'     => 'colors',
		'default'     => '#f10e00',
	)
);